<template>
    <div class="content-wrapper">
         <div class="row">
             <div class="col-md-3"></div>
            <div class="col-md-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">Create new Event</h4>
                  <p class="card-description">
                   
                  </p>
         
                    <div class="form-group">
                      <label for="exampleInputUsername1">Event Title</label>
                      <input type="text" class="form-control" id="exampleInputUsername1" placeholder="Event Title" v-model="title">
                       <ul v-if="error.title">
                           {{ error.title[0] }}
                       </ul>
                    </div>
                    <div class="form-group">
                      <label for="exampleInputEmail1">Event Description</label>
                      <input type="text" class="form-control" id="exampleInputEmail1" placeholder="Event Description " v-model="description">
                       <ul v-if="error.description">
                           {{ error.description[0] }}
                       </ul>
                    </div>
                    <div class="form-group">
                      <label for="exampleInputPassword1">Start Date</label>
                      <input type="text" class="form-control" id="exampleInputPassword1" placeholder="2019-07-30T05:30:00+05:30" v-model="start_date">
                       <ul v-if="error.start_date">
                           {{ error.start_date[0] }}
                       </ul>
                    </div>
                    <div class="form-group">
                      <label for="exampleInputConfirmPassword1">End Date</label>
                      <input type="text" class="form-control" id="exampleInputConfirmPassword1" placeholder="2019-07-30T05:30:00+05:30" v-model="end_date">
                       <ul v-if="error.end_date">
                           {{ error.end_date[0] }}
                       </ul>
                    </div>
                    <input type="button" value="add attendees" @click="getattendees" class="btn btn-default">
                    <ul v-if="error.attendee_arr">
                        {{ error.attendee_arr[0]  }}
                    </ul>
                    <button type="submit" class="btn btn-gradient-primary mr-2" @click="addRecord">Submit</button>
                  
                </div>
              </div>
            </div>
            <div class="col-md-3"></div>
            <!-- <div class="col-md-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                  <h4 class="card-title">Horizontal Form</h4>
                  <p class="card-description">
                    Horizontal form layout
                  </p>
                  <form class="forms-sample">
                    <div class="form-group row">
                      <label for="exampleInputUsername2" class="col-sm-3 col-form-label">Email</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" id="exampleInputUsername2" placeholder="Username">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="exampleInputEmail2" class="col-sm-3 col-form-label">Email</label>
                      <div class="col-sm-9">
                        <input type="email" class="form-control" id="exampleInputEmail2" placeholder="Email">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="exampleInputMobile" class="col-sm-3 col-form-label">Mobile</label>
                      <div class="col-sm-9">
                        <input type="text" class="form-control" id="exampleInputMobile" placeholder="Mobile number">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="exampleInputPassword2" class="col-sm-3 col-form-label">Password</label>
                      <div class="col-sm-9">
                        <input type="password" class="form-control" id="exampleInputPassword2" placeholder="Password">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="exampleInputConfirmPassword2" class="col-sm-3 col-form-label">Re Password</label>
                      <div class="col-sm-9">
                        <input type="password" class="form-control" id="exampleInputConfirmPassword2" placeholder="Password">
                      </div>
                    </div>
                    <div class="form-check form-check-flat form-check-primary">
                      <label class="form-check-label">
                        <input type="checkbox" class="form-check-input">
                        Remember me
                      </label>
                    </div>
                    <button type="submit" class="btn btn-gradient-primary mr-2">Submit</button>
                    <button class="btn btn-light">Cancel</button>
                  </form>
                </div>
              </div>
            </div> -->
        
          </div>
    </div>
</template>
<script>
export default {
     data(){
         return {
            title:'',
            description :'',
            start_date:'',
            end_date:'',
            email1:'',
            email2:'',
            email3:'',
            email4:'',
            email5:'',
            attendees:'',
            error:'',
         }
     },
     methods:{
         getattendees(){
            this.email1 = prompt('Enter first attendees event ');
            this.email2 = prompt('Enter Second attendees event ');
            this.email3 = prompt('Enter Third attendees event ');
            this.email4 = prompt('Enter Fourth attendees event ');
            this.email5 = prompt('Enter Fifth attendees event ');
            this.attendees = [this.email1,this.email2,this.email3,this.email4,this.email5];
         },
         addRecord: function(){
            //  console.log(this.attendees);
            //  return false;
             axios.post('/createevent',{
               'title':this.title,
               'description':this.description,
               'start_date':this.start_date,
               'end_date':this.end_date,
               'attendee_arr':this.attendees,
             })
             .then(data=>{
                 if(data)
                 {
                     window.location.assign('#/admincalender');
                 }else{
                     alert('event not created');
                 }
             })
             .catch(error=> {
               this.error = error.response.data.errors 
             })
         }
     }
}
</script>
<style lang="css">
    ul 
    {
         color: red!important;
    }
    
</style>
